﻿using GrapeCity.ActiveReports;
using GrapeCity.ActiveReports.Viewer.Win;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Text;
using System.Windows.Forms;

namespace CustomFontSR
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            SectionReport1 sectionReport = new SectionReport1();
            sectionReport.FontResolver = DirectoryFontResolver.Instance;
            viewer1.LoadDocument(new SectionReport1());
            sectionReport.Run();
            GrapeCity.ActiveReports.Export.Pdf.Section.PdfExport PdfExport1 = new GrapeCity.ActiveReports.Export.Pdf.Section.PdfExport();
            PdfExport1.Export(sectionReport.Document, Application.StartupPath + "\\PDFExpt.pdf");
            Process.Start(Application.StartupPath + "\\PDFExpt.pdf");
        }
    }
    public sealed class DirectoryFontResolver : IFontResolver
    {
        static readonly GrapeCity.Documents.Text.FontCollection _fonts = new GrapeCity.Documents.Text.FontCollection();
        static DirectoryFontResolver()
        {
            _fonts.RegisterDirectory(Directory.GetCurrentDirectory() + @"ARIAL.TTF");
            _fonts.DefaultFont = _fonts.FindFamilyName("Arial");
        }
        public static IFontResolver Instance = new DirectoryFontResolver();
        private DirectoryFontResolver() { }
        GrapeCity.Documents.Text.FontCollection IFontResolver.GetFonts(string familyName, bool isBold, bool isItalic)
        {
            var fonts = new GrapeCity.Documents.Text.FontCollection();
            var font = _fonts.FindFamilyName(familyName, isBold, isItalic);
            if (font != null) fonts.Add(font);
            fonts.Add(_fonts.DefaultFont);
            return fonts;
        }
    }
}
